# Generate automatically. Do not edit.

commit 424a699e4125be0e3e6d771764b0f7a7a75af9bf
Author: Stef Walter <stefw@gnome.org>
Date:   2013-02-04

    Release version 3.7.5

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 69e84c99d41197b7cd4e1a50ac70d3958f223a1c
Author: TmTFx <f.t.public@gmail.com>
Date:   2012-12-28

    Updated Friulian translation

 po/LINGUAS |  1 +
 po/fur.po  | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit 261ab9bee11e02874577a0facaa8b93a6433539e
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   2012-11-25

    configure.ac: if [list]; then construct: [list] is to be executed, thus use 'test'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689046

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1fc55f5fda443ed16feed4bdafa03f7f1f7e7fe4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-21

    Release version 3.7.2

 Makefile.am         |  5 ++++-
 NEWS                |  4 ++++
 configure.ac        | 13 ++++++++++++-
 library/Makefile.am |  2 +-
 4 files changed, 21 insertions(+), 3 deletions(-)

commit 07667832e9840d3a46d4e1bc798f7171f8b3be51
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Share the secure memory pool with libsecret and gcr if in same process.
    
     * And fix a build failure in the testing of the secmem pool

 egg/tests/Makefile.am | 1 +
 library/Makefile.am   | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit ef43a082c190a9e30ef939eeb8fc87312c30bb42
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Merge updated secure memory code from libsecret

 egg/egg-dh.c                   |   2 +
 egg/egg-libgcrypt.c            |   2 +
 egg/egg-secure-memory.c        | 513 ++++++++++++++++++++++++++---------------
 egg/egg-secure-memory.h        |  76 +++---
 egg/tests/test-dh.c            |   2 +-
 egg/tests/test-hkdf.c          |   2 +-
 egg/tests/test-secmem.c        |  49 ++--
 library/gkr-session.c          |   2 +
 library/gnome-keyring-memory.c |  20 +-
 library/gnome-keyring-utils.c  |   2 +
 library/gnome-keyring.c        |   2 +
 11 files changed, 430 insertions(+), 242 deletions(-)

commit 6d15fac56b6feddef32d57a0ee4697771ea99a8d
Author: Xi Wang <xi.wang@gmail.com>
Date:   2012-10-22

    Fix incorrect loop condition in egg_hkdf_perform()
    
    This does not cause a change in behavior (as evidenced by tests,
    at least on linux when built with gcc) but is more correct code,
    and less likely to be miscompiled.
    
    The condition (i < 256) in the following loop is always false since i
    is of type guchar, which is at most 255.
    
    	guchar i;
    	...
    	for (i = 1; i < 256; ++i) { ... }
    
    This patch changes i to a larger type gint.
    
    Also in the loop we have:
    
    	gcry_md_write (md2, &i, 1);
    
    change it to use gcry_md_putc().

 egg/egg-hkdf.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9693c1bd10463077aed43d1dfc78c46e62094ccb
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-25

    Release version 3.6.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 200459aacdfffd1d111bab566a3b00ca43d5ceef
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   2012-09-24

    Updated Latvian translation

 po/lv.po | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 72915da6c6305b10b9bb4f3202d15047862d8aec
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-17

    Release 3.5.6

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 9467812c61032ce1686690d2840655885652f74d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-17

    Add more warnings about attributes not being stored securely
    
     * Attributes in gnome-keyring are not (and not meant to be)
       stored sensitively.
     * Attributes are to be used for lookup of items, not storage.

 library/gnome-keyring-utils.c | 3 +++
 library/gnome-keyring.c       | 9 +++++++++
 2 files changed, 12 insertions(+)

commit 1dff91d5aa5c6c8f912bb4a4e9842af2cade9462
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   2012-08-16

    Added Marathi Translations

 po/LINGUAS |  1 +
 po/mr.po   | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

commit 020ac74d8e5f9044a6071bbc125f00e44528f396
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:   2012-08-14

    Added Bengali India Translations

 po/LINGUAS  |  1 +
 po/bn_IN.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit c16f05d7d661df16771afcdc321759817046978c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 632c2849b6110e7903ce35e56602105ea9c90787
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-08-08

    vala: install vapis to $prefix/share/vala/vapi not system vapidir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681455

 build/m4/vapigen.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4e0d92eee8397c6cd43ffea3fad466caffc4bdc4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Release version 3.5.4

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ea1476c1a941d71d6d7be90aa6fc5b8ba8da7c83
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-06-28

    Add Vala bindings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678440

 .gitignore                           |  1 +
 build/m4/vapigen.m4                  | 88 ++++++++++++++++++++++++++++++++++++
 configure.ac                         |  4 ++
 library/GnomeKeyring-1.0-custom.vala | 24 ++++++++++
 library/GnomeKeyring-1.0.metadata    | 63 ++++++++++++++++++++++++++
 library/Makefile.am                  | 19 +++++++-
 6 files changed, 198 insertions(+), 1 deletion(-)

commit 3059be0e878808c6cdcaac1ff0955743b1cb15fb
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    Release version 3.5.3

 Makefile.am         |  3 +++
 NEWS                |  4 ++++
 configure.ac        |  2 +-
 library/Makefile.am | 19 ++++++++++---------
 4 files changed, 18 insertions(+), 10 deletions(-)

commit 294b3f368c06570737fc1eb8f67132bd65884cea
Merge: 7ffe9e6 bacf26d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    Merge branch 'gnome-3-4'

commit bacf26db8098cd50059122ad0086b9257f8a5a34
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-23

    Fixes for G_MESSAGES_DEBUG
    
     * Respect G_MESSAGES_DEBUG when set
     * Make GKR_DEBUG work again even with glib versions that use
       G_MESSAGES_DEBUG

 library/gkr-debug.c | 79 +++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 64 insertions(+), 15 deletions(-)

commit 7ffe9e63a4a2ec53a062ead98454709cdfb3ef11
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-06-16

    introspection: some minor fixes to avoid Vala regressions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678229

 library/Makefile.am     |  1 +
 library/gnome-keyring.h | 21 ++++++++++++++-------
 2 files changed, 15 insertions(+), 7 deletions(-)

commit 5b1511575c1a1e298aef12a508c1d857f2a647b3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Release 3.4.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2ed0e203a1247a2249076986b8141c7a8ec2e91f
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   2012-04-12

    Added Aragonese translation

 po/LINGUAS |  1 +
 po/an.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 0edb46cd2b48ced591663665f74a644343075043
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-05

    Remove broken gtk-doc comment

 library/gnome-keyring-memory.h | 7 -------
 1 file changed, 7 deletions(-)

commit 59de7d22dde3bfcc0b936e286dfb3860ccc2ea3b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-31

    Fix up some documentation warnings

 docs/reference/gnome-keyring/Makefile.am                | 3 ++-
 docs/reference/gnome-keyring/gnome-keyring-sections.txt | 1 +
 library/gnome-keyring.c                                 | 8 ++++++++
 3 files changed, 11 insertions(+), 1 deletion(-)

commit 5ab2e3cb4cfd53f3a4d6f8bfaf10999ba7ff08e2
Author: Jordi Mallach <jordi@debian.org>
Date:   2012-03-31

    Fix copyright headers.
    
    Many files were missing “Public” in “GNU Lesser General Public License”,
    probably due to a mass replace that went a bit too far. Restore the
    correct wording in all affected places.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673212

 egg/egg-dh.c      | 6 +++---
 egg/egg-dh.h      | 6 +++---
 egg/egg-hkdf.c    | 6 +++---
 egg/egg-hkdf.h    | 6 +++---
 egg/egg-testing.c | 6 +++---
 egg/egg-testing.h | 6 +++---
 6 files changed, 18 insertions(+), 18 deletions(-)

commit 6747180646908e1fdef16d67817149f33a204cfb
Author: Jordi Mallach <jordi@sindominio.net>
Date:   2012-03-31

    Fixed bug #673184

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27a56c03b4bd7ce3df7c96ad818dad99024849db
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-26

    Release 3.4.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e855adeb7e053cde5e894a85d0ac97e8b0ad129c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-19

    Release version 3.3.92

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 4d2dc7098e4dbec202a649cddd286866196046fa
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   2012-03-10

    Add initial Khmer translation

 po/LINGUAS |  1 +
 po/km.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit a07c82b1f48e968ae85ce60f61752d5ba95d501a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-09

    Release 3.3.91

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 7612919571d5ee7e6feb658b725c03f9b2f600c3
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   2012-03-01

    Explicitly require gmodule-2.0 in pkg-config query

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff02286758e2cc62433bbb1cb168d6f5e432e990
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   2012-02-28

    Adding Uzbek@cyrillic translation

 po/LINGUAS        |  1 +
 po/uz@cyrillic.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit eea24c2445a953b96c7830c7927f2fa3d48b0272
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-01-23

    Add GnomePasswordSchemaAttribute type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668466

 library/gnome-keyring.c |  1 +
 library/gnome-keyring.h | 12 ++++++++++++
 2 files changed, 13 insertions(+)

commit 946e1a349c4b496feaa6a1b0c9d50acedcac318e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-04

    Release 3.3.5

 NEWS                |  9 +++++++++
 configure.ac        |  2 +-
 egg/egg-libgcrypt.c | 10 ++++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit a38a4ed887a2255b7579a76f78fd9145dc1a7ef5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-01

    Fix build dependency on valgrind
    
     * Also move build related stuff into build/ directory

 .gitignore                |    9 +
 Makefile.am               |    3 +-
 build/m4/introspection.m4 |   94 +
 build/valgrind/memcheck.h |  283 +++
 build/valgrind/valgrind.h | 5344 +++++++++++++++++++++++++++++++++++++++++++++
 configure.ac              |    1 +
 egg/Makefile.am           |    1 +
 m4/introspection.m4       |   94 -
 8 files changed, 5734 insertions(+), 95 deletions(-)

commit d1cc02aa5a001bec50367d9f48420978925f44a9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Fixes for parallel builds and distcheck

 library/tests/Makefile.am | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f40819ccd588856a6b87b509a9e83b1c1fa19928
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Add more tests of cancellation, test tweaks
    
     * Add some tests of cancellation
     * Update the egg-testing.[ch] files, for running tests within
       a mainloop

 .gitignore                           |   2 +
 egg/egg-testing.c                    | 161 +++++++++++++++++++++++++--
 egg/egg-testing.h                    |  23 ++++
 library/tests/Makefile.am            |   1 +
 library/tests/mock-service-cancel.py |  16 +++
 library/tests/mock/service.py        |  12 +--
 library/tests/test-cancel.c          | 203 +++++++++++++++++++++++++++++++++++
 library/tests/test-keyrings.c        |  47 +++-----
 8 files changed, 414 insertions(+), 51 deletions(-)

commit 767a3a755c10081694c19b62bbcd76d440e27673
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Double check operation references
    
     * Print a warning if an invalid operation is referenced

 library/gkr-operation.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 627895abba1b34fbd436968f775134cc5f62754c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Fix issue where an operation could be cancelled or completed twice
    
     * Ensure that an operation can only be completed or cancelled
       once. Depending on circumstances, this could cause access
       to freed memory.

 library/gkr-callback.c  | 21 ++++++++++++++++-----
 library/gkr-callback.h  |  3 +++
 library/gkr-operation.c | 12 +++++++-----
 3 files changed, 26 insertions(+), 10 deletions(-)

commit 612830913ba26f9f54395636a23beee3ea3f33c9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Better testing, and build tweaks
    
     * Use python mock service to test against
     * Fix up some compatibility issues
     * Add debug messages for some operations
     * Add --enable-strict to build with strict rules
     * Build debug stuff by default, --enable-debug to disable optimizations
     * Run tests with GNOME_KEYRING_TEST_SERVICE=org.freedesktop.secrets
       to run against a running daemon

 configure.ac                         |  58 +--
 egg/Makefile.am                      |   8 +-
 library/Makefile.am                  |  16 +-
 library/gkr-debug.c                  |   1 +
 library/gkr-debug.h                  |   1 +
 library/gkr-misc.c                   |  53 ++-
 library/gkr-misc.h                   |   6 +-
 library/gkr-operation.c              |  30 +-
 library/gkr-operation.h              |   2 +
 library/gkr-session.c                |   4 +-
 library/gnome-keyring.c              | 160 ++++++---
 library/tests/Makefile.am            |  21 +-
 library/tests/mock-service-normal.py |  59 +++
 library/tests/mock-service.c         |  93 +++++
 library/tests/mock-service.h         |  27 ++
 library/tests/mock/__init__.py       |   1 +
 library/tests/mock/aes.py            | 656 +++++++++++++++++++++++++++++++++
 library/tests/mock/dh.py             |  81 +++++
 library/tests/mock/hkdf.py           |  86 +++++
 library/tests/mock/service.py        | 679 +++++++++++++++++++++++++++++++++++
 library/tests/test-keyrings.c        | 107 ++----
 21 files changed, 1944 insertions(+), 205 deletions(-)

commit 23a89f497ff57d0443a6e3e6e14ed9102c7f7b1a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-01-28

    Updated Norwegian bokmål translation

 po/nb.po | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit fdf82e6ab47af17d3646a49cf53d70859e78de3e
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-15

    Add Python test script for GI binding
    
    Run this with
    
      LD_LIBRARY_PATH=library/.libs/ library/tests/test-gi.py  -v
    
    to test the locally built GI binding.

 library/tests/Makefile.am |   3 +
 library/tests/test-gi.py  | 155 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 158 insertions(+)

commit 594faaddbb465708f35ff016e834abf3e9af016c
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-15

    Add GnomeKeyringAttribute union accessor methods
    
    Add accessor methods for the GnomeKeyringAttribute.value union, for GI bindings
    which cannot directly access the union struct member.

 library/gnome-keyring-utils.c | 37 +++++++++++++++++++++++++++++++++++++
 library/gnome-keyring.h       |  2 ++
 2 files changed, 39 insertions(+)

commit 3833ffbf621e03ce5a3283aa61abe81dadb7b909
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Allow bindings to use GnomeKeyringAttributeList
    
    GArray is not usable for language bindings. Replace the
    gnome_keyring_attribute_list_new() macro with a real constructor and provide a
    gnome_keyring_attribute_list_to_glist() accessor to convert a
    GnomeKeyringAttributeList to a GList.

 library/gnome-keyring-utils.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 library/gnome-keyring.h       |  3 ++-
 2 files changed, 45 insertions(+), 1 deletion(-)

commit b5ad592e92f294855cdb4ccd95dd9dfd51c58fb5
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Box structs to make them introspectable
    
    Add boxing for our structs so that introspection bindings can handle them.
    
    Note that we cannot use the standard G_DEFINE_BOXED_TYPE for
    GnomeKeyringItemInfo, as gnome_keyring_item_info_get_type() already exists.
    Manually define the GType construction for this.
    
    Check for and link to gobject-2.0 to get g_boxed_type_register_static().
    
    Bump library version info as this adds some new API.

 configure.ac                                       |   4 +-
 .../gnome-keyring/gnome-keyring-sections.txt       |  30 +++++
 library/gnome-keyring-utils.c                      | 121 +++++++++++++++++++++
 library/gnome-keyring.h                            |  28 ++++-
 4 files changed, 178 insertions(+), 5 deletions(-)

commit cf9dbac9165d2d24c86c9bb0ca92f64b6a58da78
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Add GI annotations
    
    Add introspection/documentation annotations.
    
    Skip async methods, as they crash with current pygobject for a yet unknown
    reason.
    
    Skip the gnome_keyring_memory_* methods as they only return bare
    gpointers which introspection clients cannot deal with.
    
    Add documentation link to annotation-glossary.xml.
    
    Also fix a few typos like "asychronous" or "protorol" along the way, and turn
    NULL into a proper %NULL documentation macro.
    
    link to annot docs

 .../gnome-keyring/gnome-keyring-docs.sgml          |   4 +
 library/gnome-keyring-memory.c                     |  39 +-
 library/gnome-keyring-utils.c                      |  17 +-
 library/gnome-keyring.c                            | 474 +++++++++++++--------
 4 files changed, 326 insertions(+), 208 deletions(-)

commit 3511c727215ca3b5f24dd596b6b64bea5e9fef35
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Build introspection typelib
    
    As per https://live.gnome.org/GObjectIntrospection/AutotoolsIntegration
    
    https://bugzilla.gnome.org/show_bug.cgi?id=598414

 .gitignore          |  2 ++
 Makefile.am         |  4 ++-
 configure.ac        |  4 +++
 library/Makefile.am | 28 ++++++++++++++++
 m4/introspection.m4 | 94 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 131 insertions(+), 1 deletion(-)

commit 5427523d1a6bf5420bbff3b5e8ab9591da5a9ef1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-16

    Release version 3.3.4

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4df8de140cd1b5941e19aee098101d2569cfa444
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Fix gnome_keyring_item_info_copy()
    
    Actually copy the values from the original instead of from the to-be-created
    copy.

 library/gnome-keyring-utils.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 47efd153209d565b245f9faef063a9500be0c0ee
Author: Javier Jardón <jjardon@gnome.org>
Date:   2011-12-26

    configure.ac: Use maintainer mode by default
    
    See
    http://mail.gnome.org/archives/desktop-devel-list/2011-September/msg00064.html

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9aee5a2bad24ec84b4d366c8e77b8530ed154f0d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Release version 3.3.3

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c5da87a6991fca8c181eda43bdad3baf2f8c3aaf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Add tool for playing with default keyring

 .gitignore                           |  1 +
 library/tests/Makefile.am            |  3 ++-
 library/tests/frob-default-keyring.c | 50 ++++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+), 1 deletion(-)

commit de4a0c2ba4c18549e8b98a02a1144230a362fc5b
Merge: 0a55cf5 aa30fea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Merge branch 'gnome-3-2'

commit 0a55cf5c97c2606f92e495b7113fd139a51a089a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    Release version 3.2.2

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit aa30fea129bda264f66f4122201e61941d769614
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Make sure to return find results in original order from daemon
    
     * And add a testing tool to check the order

 .gitignore                         |  1 +
 library/gnome-keyring.c            |  3 ++
 library/tests/Makefile.am          |  3 +-
 library/tests/frob-list-modified.c | 71 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 77 insertions(+), 1 deletion(-)

commit b395d8874f56f3c840f16677be3c5aba25b22455
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Fill in the gnome_keyring_item_info_get_mtime() field correctly

 library/gnome-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f8d16efc4f47815e6cbd908608aac44b2e68dc5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Make sure to return find results in original order from daemon
    
     * And add a testing tool to check the order

 .gitignore                         |  1 +
 library/gnome-keyring.c            |  3 ++
 library/tests/Makefile.am          |  3 +-
 library/tests/frob-list-modified.c | 71 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 77 insertions(+), 1 deletion(-)

commit f044f2c3651facda869530954d97a0605526b200
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Fill in the gnome_keyring_item_info_get_mtime() field correctly

 library/gnome-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a69005c3b76f9719e837db5713acf691c319eb43
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-25

    Release version 3.2.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 8679d1951cd2c69d99907ae0afef735e2e6805fa
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   2011-09-24

    Updated Assamese Translations:bugzilla#659595

 po/as.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f08327f74d22ac19f59e7b7535606dd35c6187cb
Author: ipraveen <mail2ipn@gmail.com>
Date:   2011-09-23

    Added Telugu Translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 6709474e7475fe7d0bc6d119fd626121d894a83d
Author: ipraveen <mail2ipn@gmail.com>
Date:   2011-09-23

    Updated Telugu Translation

 po/te.po | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit d978d6d3da82b786be0b29a60f8d6268530db53e
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   2011-09-22

    Updated Assamese translation

 po/as.po | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

commit 743e16b41417ffa5d4ec7811bf0df94b858de837
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-18

    Release 3.1.92

 NEWS         | 6 ++++++
 configure.ac | 3 +--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit d3eb64e3d7cc007c73588b7c11a3ee6755a09942
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   2011-09-16

    Added Belarusian translation.

 po/LINGUAS |  1 +
 po/be.po   | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

commit e2f1f426eccafd3db4f0f2f22f561c2a8a204913
Author: Alexander Larsson <alexl@redhat.com>
Date:   2011-09-15

    Make sure we initialize dbus thread primitives
    
    Make sure we initialize dbus thread primitives as apps may
    (and do) call g-k in threads. This isn't 100% safe, because
    someone might have been doing dbus calls before without
    initializing threads. However, there is no safe solution to
    this other than just making all such places initialze threads
    (or port to GDBus), so we do it anyway. (GVfs does it too, so
    most apps end up doing it that way.)
    
    Tweaked by Stef Walter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659162

 library/gkr-operation.c |  27 +++++
 library/gkr-operation.h |   6 ++
 library/gnome-keyring.c | 274 ++++++++++++++++++++++++++++++++++++++++--------
 3 files changed, 265 insertions(+), 42 deletions(-)

commit 13ab2b86431b9d1d6df1751d95c1f5ca1884cc10
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-15

    Print warning when we get kicked off the bus for some reason.

 library/gkr-operation.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 231045523eb6f17ee942b359af4c200e65a3fd00
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-15

    Properly send the Type property when a new item is created.
    
     * Previously items were all being created as generic secret.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654425

 library/gnome-keyring.c       | 48 +++++++++++++++++++++++++++++--------------
 library/tests/test-keyrings.c | 28 +++++++++++++++++++++++++
 2 files changed, 61 insertions(+), 15 deletions(-)

commit 67511dcaa05f1ad322c87352ad71fff764c361c2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-15

    Try and reset the default keyring after running tests on a daemon.

 library/tests/test-keyrings.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 7a3dddc1cb25312000558f65e317b08323cedd54
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-08-30

    Release 3.1.90

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 0019a780e438c864abcb82033f9e903c7ff76298
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-08-30

    egg: Initialize libgcrypt correctly before HKDF tests

 egg/tests/test-dh.c | 3 +++
 1 file changed, 3 insertions(+)

commit c584bfd4bd5eee39266e1c3031e46d907eb723e3
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-08-30

    egg: Actually use secure memory flag in HKDF calculations
    
     * Also fixes a GCC warning

 egg/egg-hkdf.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 473e1c4b4ab4649bd1fc39abfd603d9de17b5c70
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-08-30

    Remove unused variable

 library/gnome-keyring.c | 2 --
 1 file changed, 2 deletions(-)

commit 9637ed64fded1695d034062efce378290877c956
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-07-25

    Release version 3.1.4

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ac54d43d0e7fa60fb359bf040a0ac831b7bc8af1
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2011-05-29

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit f3c2b2d944aa8b5a215968308e1bbfef92f28428
Merge: 4c1d742 2c3bc67
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-26

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	NEWS
    	configure.ac

commit 2c3bc672a7872e888eeec790c60f1336c8b32634
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-26

    Release 3.0.3

 NEWS         | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a94c0fba3846868fa757ca1f64e817f1cb221e9c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-23

    Add new test tool for unlocking keyrings.

 .gitignore                          |  1 +
 library/tests/Makefile.am           |  3 ++-
 library/tests/frob-unlock-keyring.c | 53 +++++++++++++++++++++++++++++++++++++
 3 files changed, 56 insertions(+), 1 deletion(-)

commit 9bcac748b54e00836715b0f70be26b7cbdc8c888
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2011-05-23

    Fix crash from recent memleak fix (b49e32b)
    
    make_attribute_list_va() statically copies the caller's method arguments into
    the GnomeKeyringAttributeList, so we must only free the array itself, not the
    GnomeKeyringAttribute strings.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=650840

 library/gnome-keyring.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 253ba6492382e5103dcf8e642ec4262cedf1bebe
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-22

    Release version 3.0.2

 NEWS         | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit b49e32b32d4d7c326c3bd7dd44ca1c35944a94c4
Author: landijk <landijk-user@yahoo.com>
Date:   2011-05-22

    Fix memory leaks.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650606

 library/gnome-keyring.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 152dc46e742621121ca6aa54ad21996674377c89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-22

    test-any-daemon is not really a automated test. Rename.
    
     * Because it interacts with the currently running session, and can
       have side effects.

 .gitignore                      |  1 +
 library/tests/Makefile.am       |  6 ++--
 library/tests/frob-any-daemon.c | 79 +++++++++++++++++++++++++++++++++++++++++
 library/tests/test-any-daemon.c | 79 -----------------------------------------
 4 files changed, 84 insertions(+), 81 deletions(-)

commit 4c1d742ccd9ea9a1cae05412ebdaeac0cce6ee48
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-09

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be0a4b2629ce6127c2a81cc82e80f9f2268a8e4f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-09

    Release version 3.1.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit f979ded30a7ad345b02678ee9257b45729c0bd09
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Rename configure.in to configure.ac

 autogen.sh   |   2 +-
 configure.ac | 242 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 243 -----------------------------------------------------------
 3 files changed, 243 insertions(+), 244 deletions(-)

commit ef9b74c34fa396eb6fbf963864e2e9444f67df48
Merge: 8d7c2ac bfbefcf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	configure.in
    	library/gkr-debug.c
    	library/gkr-operation.c
    	po/tr.po

commit bfbefcfeceb125172e3b3c51219a4dc21ef10a9e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Release version 3.0.1

 NEWS         | 7 +++++++
 configure.in | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 0a596f934d3478a323333b36fcf1265de715f7f0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-24

    Better testing configure options.
    
      * --enable-tests=yes/no/full
      * With 'full' various testable behavior is fine tuned or used.

 Makefile.am                              |  4 ++--
 configure.in                             | 23 ++++++++++++++---------
 docs/reference/gnome-keyring/Makefile.am |  3 ++-
 egg/tests/Makefile.am                    |  2 --
 egg/tests/test-dh.c                      |  6 ++++++
 egg/tests/test-secmem.c                  |  3 +++
 library/gkr-misc.c                       |  2 +-
 library/gkr-operation.c                  |  4 ++--
 library/tests/Makefile.am                |  2 --
 9 files changed, 30 insertions(+), 19 deletions(-)

commit d6a342f541310fbeb792a564d6a6f442ae2b3afe
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-01

    Cleanup documentation warnings.

 docs/reference/gnome-keyring/Makefile.am           |  10 +-
 .../gnome-keyring/gnome-keyring-sections.txt       |   6 +
 library/gkr-misc.c                                 |  16 +++
 library/gnome-keyring-private.h                    |   1 +
 library/gnome-keyring-utils.c                      |  88 +++++++++++-
 library/gnome-keyring.c                            |  44 +++---
 library/gnome-keyring.h                            | 160 +++++++++++----------
 7 files changed, 225 insertions(+), 100 deletions(-)

commit 74ba8ea90024f9e85d59766b3c0e00975485386c
Merge: d985494 302583d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-23

    Merge branch 'dbus-race-condition' into gnome-3-0

commit 8d7c2ac0f9d309fc814c95d2b4d1f4f148a50643
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   2011-04-23

    Added Turkish translation

 po/LINGUAS |  1 +
 po/tr.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit d985494d0f29746d9152370aeee4103fd5266b18
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   2011-04-23

    Added Turkish translation

 po/LINGUAS |  1 +
 po/tr.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit 302583d1073cc7764d9e40952e8f014491fece7c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-20

    Better fix for dbus threading race condition.
    
     * Don't use pending notify callbacks when in blocking mode.
     * Different request/reply code paths when in blocking and non-blocking
       mode.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646928

 library/gkr-operation.c | 162 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 126 insertions(+), 36 deletions(-)

commit 6b66419266f545eb4d5f78950656416858280d91
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-20

    Add some code to debug to syslog in emergency situations.

 library/gkr-debug.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 32a9851e9dac9f1c1302d9c838512a59d1328ee3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    Add debugging instrumentation to operations.
    
     * Run with GKR_DEBUG=all environment variable to display debubugging.
     * Only gkr-operation.c has debugging for now.

 configure.in                    |   2 +-
 library/Makefile.am             |   2 +
 library/gkr-debug.c             | 106 ++++++++++++++++++++++++++++++++++++++++
 library/gkr-debug.h             |  85 ++++++++++++++++++++++++++++++++
 library/gkr-operation.c         |  56 +++++++++++++++++----
 library/tests/test-any-daemon.c |   1 +
 library/tests/test-keyrings.c   |   1 +
 library/tests/test-memory.c     |   1 +
 library/tests/test-other.c      |   1 +
 library/tests/test-prompting.c  |   1 +
 10 files changed, 246 insertions(+), 10 deletions(-)

commit 476f675f03592e481c3fff847c0442b576a59a73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-04

    Release version 3.0.0

 NEWS                                     | 3 +++
 configure.in                             | 2 +-
 docs/reference/gnome-keyring/Makefile.am | 2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit cfe6a3006908a8b7bdcc876d2fd1f8b02695c9d9
Author: Hermien Bos <hermienbos@gmail.com>
Date:   2011-03-25

    Translation for Afrikaans (af)

 po/LINGUAS |  1 +
 po/af.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit b0f6a2a576584bdfb3426ddbe4265ab730f7b5c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-01

    Cleanup documentation warnings.

 docs/reference/gnome-keyring/Makefile.am           |  10 +-
 .../gnome-keyring/gnome-keyring-sections.txt       |   6 +
 library/gkr-misc.c                                 |  16 +++
 library/gnome-keyring-private.h                    |   1 +
 library/gnome-keyring-utils.c                      |  88 +++++++++++-
 library/gnome-keyring.c                            |  44 +++---
 library/gnome-keyring.h                            | 160 +++++++++++----------
 7 files changed, 225 insertions(+), 100 deletions(-)

commit b9467cbd88a2caa9ceaac9fa134c4fe034f68709
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    Add debugging instrumentation to operations.
    
     * Run with GKR_DEBUG=all environment variable to display debubugging.
     * Only gkr-operation.c has debugging for now.

 library/Makefile.am             |   2 +
 library/gkr-debug.c             | 106 ++++++++++++++++++++++++++++++++++++++++
 library/gkr-debug.h             |  85 ++++++++++++++++++++++++++++++++
 library/gkr-operation.c         |  56 +++++++++++++++++----
 library/tests/test-any-daemon.c |   1 +
 library/tests/test-keyrings.c   |   1 +
 library/tests/test-memory.c     |   1 +
 library/tests/test-other.c      |   1 +
 library/tests/test-prompting.c  |   1 +
 9 files changed, 245 insertions(+), 9 deletions(-)

commit 500cc86425163815260a45e3ea949749366a8b6d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    Rework the compile options
    
     * Some debugging automatically enabled
     * Tests automatically enabled.
     * --enable-debug=full builds with all the debug info possible.

 configure.in | 45 +++++++++++++++++++++++----------------------
 1 file changed, 23 insertions(+), 22 deletions(-)

commit b72369cb460d9728c0476ab38d2fbbcc188ebf65
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   2011-03-31

    Adding as to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 1e0fc65942b2d78ea6a618be85349628e2cd4172
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   2011-03-31

    Updated Assamese translations

 po/as.po | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

commit c6570d9d7798aea6c331501f36a49cfbe80d6d20
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   2011-03-28

    hindi added and translated and lingua upodated

 po/LINGUAS |  1 +
 po/hi.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 6562236032ebc5a9182dbcffd92ff767b52a41b7
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   2011-03-27

    Added UG translation

 po/ug.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9a490ea11567bee81a31d0c0a87d6385f365496
Author: Hermien Bos <hermienbos@gmail.com>
Date:   2011-03-25

    Translation for Afrikaans (af)

 po/LINGUAS |  1 +
 po/af.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit bb9d5de2836d953b0f535500597c7adffe160cbb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-21

    Release version 2.91.93

 NEWS         | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 1d018f1b825fb7e0826543548ab46aa5de58b1fb
Author: Sense Hofstede <sense@ubuntu.com>
Date:   2011-03-20

    Updated Frisian translation

 po/fy.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4a406cc9b08d4605183e0e404f63af1c824b4135
Author: Sense Hofstede <sense@ubuntu.com>
Date:   2011-03-20

    Added Frisian translation

 po/LINGUAS |  1 +
 po/fy.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 6645cac65e6e4d1c058c7dfb9eaae9858b5fcef7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-19

    Use full interface.Property form for CreateCollection and CreateItem
    
    This is a change in the spec so that we can handle future extensibility
    on various interfaces properly.

 library/gnome-keyring.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 84103a1d29e66ede966874e4af4b17706605cd48
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-10

    This assertion is vulnerable to corner conditions.
    
    In particular if the operation completes one pending call, unrefs it
    and creates another pending call, and the memory allocator decides
    to allocate that same memory for the next pending call, then this
    will assert in a bogus way.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=660407

 library/gkr-operation.c | 1 -
 1 file changed, 1 deletion(-)

commit 3492824c63c52945586a56aaae6c3cf3739c068a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-10

    Release 2.91.92

 NEWS         | 10 ++++++++++
 configure.in |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 575f90d6bf539119d7093a6997f54b1598f78b52
Author: Shankar Prasad <svenkate@redhat.com>
Date:   2011-03-10

    Added and updated kn translations

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 1d7c0457225e2678c30865862274ef07e39e4669
Author: Shankar Prasad <svenkate@redhat.com>
Date:   2011-03-10

    Added and updated kn translations

 po/kn.po | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

commit ef6df3ffaf676471b43fbce1e01be4e6d03499bd
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-09

    Take out session compatibility code, since we're incompatible.
    
    With the change to support HKDF, we left in some compatibility code,
    to support the old broken algorithms. However recently a bunch of
    changes have landed in gnome-keyring-daemon which are incompatible
    anyway. So remove this compatibility stuff.

 library/gkr-session.c | 154 +-------------------------------------------------
 1 file changed, 3 insertions(+), 151 deletions(-)

commit 72c848d00d7d943fc15a7371d8b2ab620db7f80f
Merge: 49f62e1 100aa17
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-09

    Merge branch 'with-hkdf'

commit 49f62e10712a119ee4666cf26931888ef18a82e6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-09

    Pass an alias argument along to a CreateCollection dbus method.
    
    This is new in the specification and prevents problems with race
    conditions and multiple applications all trying to create the
    default keyring.

 library/gnome-keyring.c        | 42 +++++++-----------------------------------
 library/tests/test-prompting.c |  2 ++
 2 files changed, 9 insertions(+), 35 deletions(-)

commit 3cf38843ce8ef5dc2370563f7af361aa0dca745b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-09

    Use a longer timeout for dbus calls when built with --enable-tests

 library/gkr-operation.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit ec00bdb4381a5c7ca1cd47e8fa6dd61e1b216fc6
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   2011-03-07

    Updated Oriya Translation

 po/or.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit e59a278594bd13699a731fa8d913053e5411ac1e
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   2011-03-07

    Added Oriya(or) into the list

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit dec4f861b6c768e94abf7fef4fd561055a2cb133
Merge: ada959f 617345e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-01

    Merge branch 'secret-content-type'

commit ada959f3f49ce75ad473e6ad4eb926f5715d6900
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-28

    Update version number to unstable after branching.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 617345edace57edc35a7b66cbb6b5830d47d7d9f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-28

    Send a content-type along with secret as per spec.
    
    Recent changes to the secret service spec say we should be sending
    a content-type along with the secret. This changes the signature of
    a secret structure to (oayays).
    
    We don't expose this in the API so we simply put in a dummy value and
    don't barf.

 library/gkr-session.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 38652151ad37449b9d5efb7b50400ee2ca9d2829
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-28

    Unbreak keyring tests and don't kill daemon before tests run.

 library/tests/test-keyrings.c | 49 +++++++++++++++++++++++--------------------
 1 file changed, 26 insertions(+), 23 deletions(-)

commit 100aa1788d784334247b095ae6a1c621e539ba94
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-23

    Use HKDF for digesting of DH secret key.
    
     * Previously we truncated the key, which was broken.
     * Secret service spec has been updated.
     * Now we use HKDF + SHA256 to digest the DH secret key into the right
       size usable by AES.
     * The library temporarily still supports the old method in case
       its talking to a daemon that doesn't support this fix.

 .gitignore                      |   2 +
 configure.in                    |   4 +
 egg/Makefile.am                 |   3 +-
 egg/egg-dh.c                    |  16 +-
 egg/egg-dh.h                    |   2 +-
 egg/egg-hkdf.c                  | 109 +++++++++++++
 egg/egg-hkdf.h                  |  39 +++++
 egg/egg-testing.c               |  72 +++++++++
 egg/egg-testing.h               |  14 ++
 egg/tests/Makefile.am           |   5 +
 egg/tests/test-dh.c             |   8 +-
 egg/tests/test-hkdf.c           | 345 ++++++++++++++++++++++++++++++++++++++++
 library/gkr-session.c           | 173 +++++++++++++++++++-
 library/tests/Makefile.am       |   3 +-
 library/tests/test-any-daemon.c |  78 +++++++++
 15 files changed, 847 insertions(+), 26 deletions(-)

commit e9d716e05cb6bd3a0f901c6378eeaa480330052e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-23

    Convert to simpler gtest usage with one process per suite.

 .gitignore                     |   5 +
 Makefile.am                    |   6 -
 configure.in                   |   4 +-
 egg/Makefile.am                |   3 +-
 egg/egg-secure-memory.c        |  10 +-
 egg/egg-secure-memory.h        |   8 ++
 egg/egg-testing.h              |  32 +++++
 egg/tests/Makefile.am          |  22 ++--
 egg/tests/test-dh.c            |  84 +++++++++----
 egg/tests/test-secmem.c        | 264 ++++++++++++++++++++++++++++++++++++++++
 egg/tests/unit-test-secmem.c   | 237 ------------------------------------
 library/Makefile.am            |   2 -
 library/tests/Makefile.am      |  37 +++---
 library/tests/test-keyrings.c  | 242 ++++++++++++++++++++++++++++++++-----
 library/tests/test-memory.c    |  35 ++++--
 library/tests/test-other.c     |  41 +++----
 library/tests/test-prompting.c |   3 +-
 tests/Makefile.am              |   6 -
 tests/gtest-helpers.c          | 266 -----------------------------------------
 tests/gtest-helpers.h          |  75 ------------
 tests/gtest.make               |  49 --------
 tests/prep-gtest.sh            | 119 ------------------
 22 files changed, 663 insertions(+), 887 deletions(-)

commit 3df8d6053d90ea5b50cea0df7d5785876203b5e7
Author: Sweta Kothari <swkothar@redhat.com>
Date:   2011-02-17

    Updated Gujarati Translations & Added LINGUAS

 po/LINGUAS |  1 +
 po/gu.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit f44ac704ec6c30023d0d25bc96d141ff15d417f7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-01-27

    QA of Galician translations

 po/gl.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit ffbaa40603ed33646de10822983c9445d6c70d3a
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-01-19

    Don't run tests if a testing enabled gnome-keyring-daemon is not enabled.
    
    This uses the 'gnome-keyring-daemon --version' output to determine
    whether testing is enabled or not.

 tests/gtest-helpers.c | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 987f84c13bac6032164616b220289b5824bbd6a2
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-01-19

    Remove unneeded test file.

 library/tests/Makefile.am         |  6 +--
 library/tests/test-daemon-setup.c | 86 ---------------------------------------
 2 files changed, 1 insertion(+), 91 deletions(-)

commit 75ed834889b5f542c3222cba7c8dfdcda0ea435f
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-12-23

    Added UG translation

 po/ug.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d841c2e7af5c2e220f38b08e3b58b48105616e95
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-12-20

    [l10n] Updated Estonian translation

 po/et.po | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2e167eeb6e82fe71166ea406816e35b946d03bd7
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2010-12-19

    po/vi.po: import from Ubuntu/Maverick

 po/LINGUAS |  1 +
 po/vi.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit fbaaa734728e723ee4641693404fe9920767f132
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-11-20

    Added UG translation

 po/ug.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 659e5e9f5ee80800ff4a2d32eef96f40fe3eb56d
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-11-13

    Added UG translation

 po/ug.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit cba0e27fde159f050544be8c22f77cf77eab0218
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   2010-11-03

    adding Persian (a) Translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 7a3da2aa8710af1ccbf124a8d7708a7495f88b5f
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   2010-11-03

    Updating Persian Translation

 po/fa.po | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit ceb6dbb8f612feb69b1793c2ca1090de39c21cae
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2010-10-29

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5052ed6a2d4ea78bd3d84b7248caf23d59e875e9
Author: Gheyret Kenji <gheyret@hotmail.com>
Date:   2010-10-01

    Added UG translation

 po/LINGUAS |  1 +
 po/ug.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit ffd9853e5628a7f18444734dff3b31098d483b45
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-27

    Bump version number

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 138a8bd0fe1b96ee35b42fe359eebef69aec1d38
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-27

    Release version 2.32.0

 NEWS         | 3 +++
 configure.in | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 81dae160a6130b6a7a69261669f350ef6efef462
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-12

    Release version 2.31.92

 Makefile.am | 5 ++++-
 NEWS        | 6 ++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 08c71af412677d6efd671be2020e59f08b1cb5a5
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-12

    autogen.sh: require automake 1.7
    
    automake 1.4 does not have AM_PROG_CC_C_O

 autogen.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 292cbcc5337e1334e2802563c3d9a245c74e2ce8
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-11

    [egg] Fix secure memory assertion.
    
    Fix assertion that occurs when searching for pool to free memory from.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=616175

 egg/egg-secure-memory.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4772da8f9539872c76f0b738e508c81ac482c5e9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-10

    Don't try to run daemon tests if DBus is not running.
    
     * Check for DBUS_SESSION_BUS_ADDRESS and don't run daemon tests.
     * Cleanup test makefile variables a bit
    
    https://bugzilla.gnome.org/show_bug.cgi?id=626455

 egg/tests/Makefile.am     |  4 ++--
 library/tests/Makefile.am |  7 +++++--
 tests/gtest-helpers.c     | 38 +++++++++++++++++++++++++++++---------
 tests/gtest.make          | 15 ++++++++-------
 4 files changed, 44 insertions(+), 20 deletions(-)

commit 866e75657106c1b3a4776b49b75e27300c22653b
Author: Arun Raghavan <ford_prefect@gentoo.org>
Date:   2010-09-08

    Access GArray members using g_array_index()
    
    This handles type-casting internally to avoid alignment warnings on
    platforms that need to deal with these issues.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=628875

 library/gnome-keyring.c | 43 ++++++++++++++++++++++---------------------
 1 file changed, 22 insertions(+), 21 deletions(-)

commit 5b2ceb2771bfb13e8a85f2d6e8acb736d70abaea
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Bump version number.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f24a336323c95d80f13beeaa116c83efe135bf2
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Release version 2.31.91

 NEWS         | 7 +++++++
 configure.in | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 129921d0eb44414d49becf8f687295a8410405d4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-29

    Fix memory leak related to dbus_message_iter_get_signature()
    
    Discovered by David Woodhouse. Need to free memory returned
    by dbus_message_iter_get_signature()

 library/gkr-session.c   | 18 ++++++++++++++++--
 library/gnome-keyring.c | 16 ++++++++++++++--
 2 files changed, 30 insertions(+), 4 deletions(-)

commit ad6da9a5377d98a7af0f543e0745a83735df4bcd
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-07-27

    [dbus] Fix encoding problems with keyring names and foreign characters.
    
     * Creating keyrings with a label that contained non-ascii charaters
       was broken.

 library/gkr-misc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ddf8c4c3b053ba941b26af9607f06718ad289b1c
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-07-18

    g_string_append_c_inline is used implicitly

 library/gkr-misc.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 688370ff6cac657107128714717672fb39a671c3
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-07-18

    Fixed typos

 library/gkr-misc.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3cb93f629f389982a021543e1d973828731f2b3e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-07-21

    Updated Galician translations

 po/gl.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 180bfd8d8258cbab21d79db519e2eb6c0dbc6535
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   2010-06-27

    Updated Esperanto translation

 po/eo.po | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

commit 667e6b50f28d707cd7999ed02b80eb0ff8424e0d
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   2010-06-27

    Add Esperanto translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit c359ce893958d1a2dcb4aa9b958a38002b8836d6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-22

    Try to fix broken usage on multiple threads in libgnome-keyring
    
     * This has to do with operations completing in the mainloop thread
       before the async function which starts them returns in another
       thread.
     * Some use cases are just not fixable. We print a message throwing
       our hands up in despair.
     * The async functions will try to return NULL if an operation completes
       before the function that starts it return.

 library/gkr-operation.c |   36 +-
 library/gkr-operation.h |    4 +-
 library/gnome-keyring.c | 1110 +++++++++++++++++++++++++++--------------------
 3 files changed, 662 insertions(+), 488 deletions(-)

commit 3521eabee0a6f143401b22a8c600bac1c4913763
Merge: 5f3eb91 d2f5786
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-10

    Merge branch 'gnome-2-30'

commit d2f57865d2b80ab301aba35278e71b85a1a141cd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-10

    Remove erroneus egg-dbus dependency.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f3eb91a844ecc85fed9cf0d1fa839e522e391af
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-05-30

    Added the Hebrew entry.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 4af49d59fac99085b7abe1ad3276654398701a69
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-05-30

    Updated Hebrew translation.

 po/he.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit b03d894c6858109fc6bcc24c53b0e5dba40a1ced
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   2010-04-28

    [dist] Use tar-ustar instead of an old tar-v7
    
    Certain file names were too long, and were being truncated.
    Update to newer tar version which supports longer file names.
    
    Fixes bug #613594

 configure.in | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1e554163df7beb9a0a6f490cfa62dc05e16a1fc5
Author: Ahmed Noor Kader Mustajir Md Eusoff <sir.ade@gmail.com>
Date:   2010-04-27

    Added Malay translation

 po/LINGUAS |  1 +
 po/ms.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit f1b325cd3c3a5842d8f3a4e40c22381f70692bac
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-26

    Bump version number after release.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc8abf5f463afca01a6e237d9f8eb0b263f541a3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-26

    Release version 2.30.1

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 3c790614a30831cdb8466efdf8e51283052fc060
Author: Gil Forcada <gforcada@gnome.org>
Date:   2010-04-21

    Added ca@valencia

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit ece8850d36cfa54c55cccf9067144579563fc4aa
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2010-04-21

    Added Catalan (Valencian) translation

 po/ca@valencia.po | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 2e1aedbe58c9dd80d2193924086e87b4b56559bc
Author: Andika Triwidada <andika@gmail.com>
Date:   2010-04-21

    Added Indonesian translation, contributed by Nana Suryana
    Added id to LINGUAS

 po/LINGUAS |  1 +
 po/id.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit e33eca3ef90978986df2fe5aef97234775a4a93c
Author: Olav Vitters <olav@vitters.nl>
Date:   2010-04-18

    Fix doap file

 libgnome-keyring.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3cbc3d417bdb8736aeb01083036d9a7b86577e6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-04-14

    Updated Slovenian translation

 po/sl.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 942ff4eae19732d9f5fd0d549385a7f2d9842444
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-09

    Workaround for problem with endless loop during blocking operations.
    
    Research done by Hiroyuki Ikezoe
    
    This is due to a bug in libdbus where the pending call is completed
    without the relevant callback being called when used in certain
    threading situations.
    
    Fixes bug #606902

 library/gkr-operation.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 02b11499f99e8537ee2dc621af17acf90af23f53
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-04-07

    Added Thai translation.

 po/LINGUAS |  1 +
 po/th.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 1f818892813d20aded601aebcda1e8c6149ffde5
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-31

    [release] post-release bump to 2.30.1

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88841be38e7355889221e0a3737541ef6423cb16
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-31

    [release] 2.30.0

 NEWS         | 6 +++++-
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 79cf1d118d501a6663c218f1bd2d438b0d405f96
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-30

    Fix build with -Werror and gcc 4.5
    
    There's this new warning with gcc 4.5 (I think):
     comparison between ‘GnomeKeyringResult’ and ‘enum <anonymous>’
    which requires us to add some cast to avoid an error with -Werror.

 library/gkr-operation.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4f3c8637e3c455038d7fca73e8511d0401b24709
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-30

    Return GNOME_KEYRING_RESULT_NO_MATCH when no secret is found
    
    This reverts 18affdaa, but really fixes
    https://bugzilla.gnome.org/show_bug.cgi?id=608510

 library/gnome-keyring.c       | 2 +-
 library/tests/test-keyrings.c | 9 ++++-----
 2 files changed, 5 insertions(+), 6 deletions(-)

commit aa1bea3b0e56e8431ce146952fde55275670a5a8
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-03-29

    Add Simplified Chinese translation.

 po/LINGUAS  |  1 +
 po/zh_CN.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit a47674dc1e39276fdc668e1ba0fba4d700f0e4d7
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   2010-03-27

    Updated Danish translation

 po/da.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit bfcf74ef74f4e107ab0b276fc06c3c733292f7a9
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2010-03-27

    Added da to list of languages

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit d01a4d574ce814b1b2e4a9503fde1b9d7875f7b3
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   2010-03-27

    Added Bengali translation

 po/LINGUAS |  1 +
 po/bn.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 33cee59d90bc099e270146a121c4355bdf185051
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-03-26

    Updated Ukrainian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit f271212279dcd3f5a06cd687535b367f20a54746
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-03-26

    Updated Ukrainian translation

 po/uk.po | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 2b3a5e66352b0f32ac075d38c5ad754d5dc3ff4f
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   2010-03-25

    Added Serbian translations

 po/LINGUAS | 2 ++
 1 file changed, 2 insertions(+)

commit 3c034dfa13bc40efdb5d4306398192c8b0910bd1
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   2010-03-25

    Added Serbian translations

 po/sr.po       | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

commit 3d2c32739f02fb91b535f3ea17c9defd5becf996
Author: Badral Sanligiin <badral@openmn.org>
Date:   2010-03-23

    Updated Mongolian translation

 po/LINGUAS |  1 +
 po/mn.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit cd27909b8860973007b564ad02308e5d146a0fa3
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   2010-03-21

    Updated asturian translation

 po/ast.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 3e5521d51992aeb7f57a6cbee299ce05f5a53a50
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   2010-03-21

    Added asturian language

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit dd46f9f27b02c10c6acdd2932b7dd9dca27e9469
Author: Claudia Cotună <special4ti@gmail.com>
Date:   2010-03-20

    Update Romanian translation

 po/LINGUAS |  1 +
 po/ro.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 7ac67bc91088b9c38351b196f47e4b82fb6af3b8
Author: Alexander Sack <asac@jwsdot.com>
Date:   2010-03-19

    Don't assert on va_list, which isn't necessarily a pointer.
    
    Using g_assert((va_list) something) isnt portable.
    
    Fixes bug #612127

 library/gnome-keyring.c | 2 --
 1 file changed, 2 deletions(-)

commit d2936136d3f884d9bf889c57e80ef9ea3210ea7c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-19

    Hold reference to operation while waiting for prompt result.
    
    We need to hold a reference to the prompt while waiting
    for a prompt result. We tie this reference to the dbus filter
    with which we wait for the prompt result signals.
    
    Fixes bug #611310

 library/gkr-operation.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit 26d0f6492d2e413f6029cd8f3a11d94db333ab4d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-19

    Try to return GNOME_KEYRING_ALREADY_EXISTS where possible.
    
    The secrets API has a significantly different model with creating of
    keyrings, where we never get an 'already exists' error. However this
    breaks certain strange uses of gnome_keyring_create ().
    
    So we simulate 'already exists' in a fairly good, but 'racy' manner.
    
    Fixes bug #611449

 library/gnome-keyring.c       | 82 ++++++++++++++++++++++++++++++-------------
 library/tests/test-keyrings.c |  9 +++++
 2 files changed, 66 insertions(+), 25 deletions(-)

commit d24804efbc3c686a9724a2bc329c8fa7890cf2e5
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:   2010-03-19

    Added Japanese translation.

 po/LINGUAS |  1 +
 po/ja.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit 754ddb68665ed1d7f0f77020778c3427a8972da2
Author: Priit Laes <plaes@plaes.org>
Date:   2010-03-19

    Added Estonian (et) to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit b242d3b780c1f7a0cd551db091233f99380c11c2
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-03-19

    Estonian translation updated

 po/et.po | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

commit 8b33e6f0d4fa8c12a5af8a4d629277c5929e7bf0
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:   2010-03-18

    Add Finnish translation by Jiri Grönroos. Via Launchpad.

 po/LINGUAS |  1 +
 po/fi.po   | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit 1d4e17f918b37fc13ad3694e8f3e7671cebf01e8
Author: A S Alam <aalam@users.sf.net>
Date:   2010-03-18

    add Punjabi Language (pa) to project by A S Alam

 po/LINGUAS |  1 +
 po/pa.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit 6cbb36e656154db0d0a82a5137fad3dab9493b55
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-03-16

    Added nl to po/LINGUAS

 po/LINGUAS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1952fd7f0006710ae352e6bc0e966e467238348f
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-03-16

    Added Dutch translation by Wouter Bolsterlee

 po/nl.po | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 16a0c358f5d3c21233c205b160a4c74217b54c41
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   2010-03-14

    Added Traditional Chinese translation(Hong Kong and Taiwan)

 po/LINGUAS  |  2 ++
 po/zh_HK.po | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 108 insertions(+)

commit 7231a8c9375943dc2cbd6fea134676b01189c7a8
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2010-03-14

    Updated Korean translation

 po/LINGUAS |  1 +
 po/ko.po   | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit 710c85b815707fb21b4e1e4438afe39c260ed828
Author: dooteo <dooteo@dhcppc1.zundan.com>
Date:   2010-03-12

    Added 'eu' entry

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 6754b4d152206c10a045737bf4ccc940bdaa93a8
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-03-12

    Added Basque language

 po/eu.po | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

commit 18affdaadb8c71bfc4092d9281b03c9833027c6a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-10

    NULL password from gnome_keyring_find_password() when not found.
    
    Regression. We used to return a NULL password from
    gnome_keyring_find_password() and friends when no such item was
    found in the keyring.

 library/gnome-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86a97ea0db79db98435880bf93d4c90b824f1e8c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-10

    Fix starting of test service during tests.
    
    The args array was too short.

 tests/gtest-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8eb7877a9767ac0259c80e04deb7e2e7d0851aa
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Prepare for 2.29.92 release

 NEWS         | 11 +++++++++++
 configure.in |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 3db38e0172e38caff6be6510e54ae4b9eaea3e70
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Fix make dist
    
    We need gnome-keyring-overrides.txt for the API doc, and there's no
    test-data file to dist in library/tests.

 .gitignore                                               | 1 -
 docs/reference/gnome-keyring/gnome-keyring-overrides.txt | 2 ++
 library/tests/Makefile.am                                | 3 ---
 3 files changed, 2 insertions(+), 4 deletions(-)

commit 26317d4decbce8b65b7a1130cc20bd96731b228c
Author: David Planella <david.planella@gmail.com>
Date:   2010-03-09

    Added Catalan translation

 po/ca.po | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit d5f266a56b5098939fed4100a1dcfbad35830f5d
Author: David Planella <david.planella@gmail.com>
Date:   2010-03-09

    Added Catalan translation, updated LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 114aecf1900b3da9848fea863409f27791232b34
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2010-03-09

    Updated Portuguese translation

 po/LINGUAS |  1 +
 po/pt.po   | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit 69777aaaa1c937951d4c4e5820e97229b5b174b9
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   2010-03-08

    Added Latvian translation.

 po/lv.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 0129e1898cc9e86db547ba7f11fcdca2dc22ff2b
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   2010-03-08

    Added Latvian (lv).

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit a8929af5a42eefede18f1da77cabe07e3c0036ae
Author: Francesco Marletta <francesco.marletta@tiscali.it>
Date:   2010-03-07

    Add Italian translation

 po/LINGUAS |  1 +
 po/it.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit 49a91681f4bc7ab94b84ddec19bf49d6e4a118c2
Author: Kostas Papadimas <pkst@gnome.org>
Date:   2010-03-07

    Added Greek translation.

 po/LINGUAS |  1 +
 po/el.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit 0e781dc95e53cd11a4bb435b22acbfda578b8434
Author: vasudeven <agnihot3@gmail.com>
Date:   2010-03-07

    Added ta translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 25d8cd646d6a9f2bc81619388f4467055fd7831a
Author: vasudeven <agnihot3@gmail.com>
Date:   2010-03-06

    added Tamil translation

 po/ta.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 382762a621d397f128c47216788b7f62df491446
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-03-04

    Updated Norwegian bokmål translation

 po/nb.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 064d5ff232b090ef32174d91bfda215a04e9334e
Author: Marcel Telka <marcel@telka.sk>
Date:   2010-03-04

    Added Slovak translation

 po/LINGUAS |  1 +
 po/sk.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit fdf4e76dc7c549c1f797a371aab048370e84403a
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   2010-03-03

    Updated Lithuanian translation.

 po/LINGUAS |  1 +
 po/lt.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 533b501ed47c95a8a4ace3e1b62ababc87d11567
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-03-01

    Add entry for Norwegian bokmål

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 9fcfc815df8cd228e3e181aadd9484475d93c7de
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-03-01

    Added Norwegian bokmål translation

 po/nb.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 5219b4a50da89585fbec97f90918b0fb9b5a63f7
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   2010-02-28

    Add Czech translation

 po/LINGUAS |  1 +
 po/cs.po   | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

commit 2f8ae6de0d4c14972853e99de5dec7af5236b4e4
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:   2010-02-28

    Added Brazilian Portuguese translation

 po/LINGUAS  |  1 +
 po/pt_BR.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 85900d14b3a56c0cdb9d6a0b334f5e7c08c5f07b
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:   2010-02-27

    Added Norwegian Nynorsk translation

 po/LINGUAS |  1 +
 po/nn.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit 8252538b72fb95ad98696be3da36bf25f974b840
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:   2010-02-27

    Revert "Updated Norwegian Nynorsk translation"
    Forgot to commit updated LINGUAS
    This reverts commit 8630f6e7f554d5516107d5774c03fa32befaad5b.

 po/nn.po | 57 ---------------------------------------------------------
 1 file changed, 57 deletions(-)

commit 8630f6e7f554d5516107d5774c03fa32befaad5b
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:   2010-02-27

    Updated Norwegian Nynorsk translation

 po/nn.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 7aab9c1e5c7ba8cfb2676830c0dcfc0e100e059d
Author: parimbra <parimbra@redhat.com>
Date:   2010-02-27

    adding Malayalam to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 84357adea0b390f20f0e23a5f4b1afc36cc4a24d
Author: parimbra <parimbra@redhat.com>
Date:   2010-02-27

    Jaisen Nedumpala translated libgnome-keyring to Malayalam

 po/ml.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 3ff416c4a04b3664db2a6446c0e19f197751a543
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-02-26

    Updated Swedish translation

 po/LINGUAS |  1 +
 po/sv.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 726efdbc6b48cf4961aead10cb021b57f465f0ef
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   2010-02-25

    Added Galician Translation

 po/LINGUAS |  1 +
 po/gl.po   | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit a75b02b4601d310417812f4919cf17261070d6db
Author: Alexander Shopov <ash@contact.bg>
Date:   2010-02-25

    Added Bulgarian translation

 po/LINGUAS |  1 +
 po/bg.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit 93998995b984228146fb9e2a46acc08f74dbb8c9
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   2010-02-25

    Added LowGerman translation

 po/nds.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 5d2f1753f209739bddabc5acc0d7c37d82d37299
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   2010-02-25

    Added LowGerman translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit b13af974dff2aab3dcc4c97e999eb32f68abdfda
Author: Leonid Kanter <leon@asplinux.ru>
Date:   2010-02-25

    Update Russian translation

 po/LINGUAS |  1 +
 po/ru.po   | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

commit ca67ab11f6659becd8295797dfddd9e763b82d3b
Author: Claude Paroz <claude@2xlibre.net>
Date:   2010-02-24

    Add French translation

 po/LINGUAS |  1 +
 po/fr.po   | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit f9f151cf0c684b63e0e0e8f8a7494ae82c67ecb9
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-24

    Added Spanish translation

 po/es.po | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit c04ca0d4be1cd20903dc36a6fc52ebafabad32d8
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-24

    Added es to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 962cef5d2887912ac5992c6b81942d06f328e24c
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2010-02-24

    Added Arabic translation

 po/LINGUAS |  1 +
 po/ar.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit b7c05d9e880aa0e63a21dd623fec840dfb15d527
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2010-02-24

    Updated Polish translation

 po/LINGUAS |  1 +
 po/pl.po   | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

commit 472d43ace5ed12db168a3f62ca35e50629321d98
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-02-24

    Added Slovenian translation

 po/sl.po | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 9c5f693b68cdf0646edb2c18c2b716859e67b4be
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-02-24

    Added sl for Slovenian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit a3c612b2468664edbda76ff9dccb4736e174fc1e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-02-24

    Added Slovenian translation

 po/sl.po | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

commit a66e35304a6d11db3747f1182c8b204bcdcc5f53
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   2010-02-24

    Added British English translation

 po/LINGUAS  |  1 +
 po/en_GB.po | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit b3e9f7ae6474f04e0be1157de83f8bec67fcf241
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-02-24

    Added German translation

 po/LINGUAS |  1 +
 po/de.po   | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit 3351c78f405d3d00eae778c0f6279a28a6b6d628
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-02-24

    Add hu to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 57ae15b4e261b97605bd28417879e343cdb17213
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-02-24

    Make intltool-update -m happy

 po/POTFILES.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a1c9fa791c8ba195106b68d4faaca3aa983811c3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-02-24

    Added Hungarian translation

 po/hu.po | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit b19aad0793f687e430a92fb05bbcbfa64a691554
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    Add GPL licence for those bits which are GPL'd.

 COPYING.GPL | 340 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am |   3 +-
 2 files changed, 342 insertions(+), 1 deletion(-)

commit a67967d58370345142dd55260f01b586d1affb9a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    Give translatable label to automatically created default keyring.

 library/gnome-keyring.c | 5 ++++-
 po/POTFILES.in          | 1 +
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 5e37e8cc09712fd8cab60e42636f260f23bacd7e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    Can create a new default keyring when creating item.
    
    When no default keyring exists, and creating an item, and
    the default keyring was the desired keyring for the item,
    prompt to create a new default keyring.
    
    This mirrors the behavior in the old gnome-keyring-daemon.
    However this functionality has now been moved to the library.

 .gitignore                     |   1 +
 library/gnome-keyring.c        | 180 +++++++++++++++++++++++++++++++++++------
 library/tests/Makefile.am      |  18 +++++
 library/tests/test-prompting.c |  59 ++++++++++++++
 4 files changed, 235 insertions(+), 23 deletions(-)

commit cf04a806f7cbd12bfb664a481b7a551650cb85b2
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    No assertion when password is not found.
    
    Would crash when gnome_keyring_find_password_xx() was called and
    no password was found.
    
    Fixes bug #608709

 library/gnome-keyring.c       | 15 ++++++++++++---
 library/tests/test-keyrings.c | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 3 deletions(-)

commit 5d8261aed92afce81a2364f1417c8364f76ba30c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    Fix up some documentation errors.

 library/gnome-keyring.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit b65653a552588bdd1c839272822fba44e988f1f0
Author: Stefan Walter <stef@ws.local>
Date:   2010-02-14

    Allow predictable testing by setting up a test path and service.
    
    Tell the daemon which path to use for data, control sockets, and
    dbus service, during testing.

 configure.in                |  3 +++
 library/gkr-misc.c          | 11 ++++++++
 library/gkr-misc.h          |  2 ++
 library/gkr-operation.c     |  6 ++---
 library/gkr-session.c       |  5 ++--
 library/gnome-keyring.c     | 50 +++++++++++++++++------------------
 library/tests/test-memory.c |  8 +++---
 tests/gtest-helpers.c       | 64 ++++++++++++++++++++++++++++++++++++++-------
 8 files changed, 106 insertions(+), 43 deletions(-)

commit 39dee708403cad8ea8ee3430dfca97cb56520f3f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-10

    Make autogen.sh executable

 autogen.sh | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c04283e31e4084025768f5df23db9ed5a1cf2a48
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-04

    Implement setting of Type property in gnome_keyring_item_set_info().

 library/gnome-keyring.c | 106 +++++++++++++++++++++++++++++-------------------
 1 file changed, 65 insertions(+), 41 deletions(-)

commit 48b8a75059b05d6f1b8e7e040e811d8429f514f5
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    Clear the client's session when the service disconnects.

 library/gkr-operation.c | 33 ++++++++++++++++++++++++++++++++-
 library/gkr-session.c   | 13 +++++++++++++
 library/gkr-session.h   |  2 ++
 3 files changed, 47 insertions(+), 1 deletion(-)

commit 604de15586fea8adaa06a0a6a2090002a068ec98
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    Fix assertion calling deprecated acl function.

 library/gnome-keyring.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit edff7882756919f548369ee7f375a4cb090e52a8
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-21

    Bump version.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afb47d5a1c1cc6f39449c8645aeacef1c3a73041
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-21

    Release version 2.29.4.
    
    This is the initial release.

 .gitignore   | 1 +
 configure.in | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 630ac0495a7992b52dc94f4acb596d41ae9e8202
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Update tests to lock specific collection.

 library/tests/test-keyrings.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9fb961e59f8c6f35d9eba177691f4b77a70eb45
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Update the error codes with latest spec changes.

 library/gkr-session.c           | 2 +-
 library/gnome-keyring-private.h | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 3fa4b0ea0a17c8ec4675ba471f3b1a79c1152f43
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Stop waiting for a prompt when the service goes away.

 library/gkr-operation.c | 36 +++++++++++++++++++++++++++++++++---
 1 file changed, 33 insertions(+), 3 deletions(-)

commit 84c01f9f54043bf75fcfef76dff1eba9f6fac7e2
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Fix problems when running mainloop after sync operation.

 library/gkr-operation.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit ee4d2ba4f3ec6bccff68474fb7549bedb16ce35e
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Bring tests in sync with the implementation.

 library/tests/test-keyrings.c | 7 ++++++-
 library/tests/test-other.c    | 3 ++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 95c7220f6fd59d48c7560af98108936ff043ec73
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Fix up store/delete password functionality.

 library/gkr-callback.c  |  2 +-
 library/gnome-keyring.c | 55 ++++++++++++++++++++++++++++++-------------------
 2 files changed, 35 insertions(+), 22 deletions(-)

commit 8beffbe46a82b713bfbd8c798fb4269eea0f78e3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Remove checks for ACLs, since this functionality is no longer present.

 library/tests/test-keyrings.c | 19 +------------------
 1 file changed, 1 insertion(+), 18 deletions(-)

commit d4f6c891d22499c52224eda7911c7356514a4cad
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    Fix gnome_keyring_get_info() and friends.

 library/gnome-keyring.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 8adde38428e9770b78016dadec460d6cd6aa06da
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    Finish implementing unlocking, password changing.

 library/gnome-keyring.c | 241 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 185 insertions(+), 56 deletions(-)

commit 38413ce4fe6b7322f9fa1fbbfe68b4f66184e91a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    Fix some problems in gnome_keyring_unlock()

 library/gnome-keyring.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 79dfd3dd4026179cf1d3b1580134fee238291792
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    Fix problems in gnome_keyring_find_items() and friends.

 library/gkr-misc.c      |  2 +-
 library/gnome-keyring.c | 28 +++++++++++++++++-----------
 2 files changed, 18 insertions(+), 12 deletions(-)

commit 847b301a52168bb80ea9b54b17496db760cb871c
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Fix up gnome_keyring_item_set_info() and friends.

 library/gnome-keyring.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 013dce1b3c0ab92e26def3890054183f4bca751b
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Fix problems getting item_info and decoding secret.

 library/gkr-session.c   |  6 +++---
 library/gnome-keyring.c | 34 ++++++++++++++++++----------------
 2 files changed, 21 insertions(+), 19 deletions(-)

commit 18fa50fa88a5ebe6957c728eea63734ca1c31298
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Don't assume the returned item ids are in a specific order.

 library/tests/test-keyrings.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit eede36ad6f053da17a555630b0b4971e1bc745ab
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Fix variant array parsing.

 library/gnome-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4154fa4195b0170f09fd04450ce97fc915752a2
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Send interface name when setting item attributes.

 library/gnome-keyring.c | 2 ++
 1 file changed, 2 insertions(+)

commit 55bfe9cc2f55cf3cc0aad682638ae65ba9b338ee
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Fix bugs in gnome_keyring_item_create() and friends.

 library/gkr-misc.c      | 16 ++++++++--------
 library/gnome-keyring.c | 50 ++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 45 insertions(+), 21 deletions(-)

commit 505b39592f0ad47c8bfeef5694ad8a803dec9b5d
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Implement gnome-keyring specific way of creating collection with pass.
    
    An internal interface for gnome-keyring to be able to pass a master
    password while creating a collection.

 library/gnome-keyring.c | 106 ++++++++++++++++++++++++++++++++++--------------
 1 file changed, 76 insertions(+), 30 deletions(-)

commit 45bc008d1d01bbb7761df56ec8ecf250d3ced928
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Fix bugs in decoding plain OpenSession response.

 library/gkr-session.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit ecd4e30a0dc60d79f8e85083a29981126ab2f3d3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Bring over changes from gnome-keyring into our DH code.

 egg/egg-dh.c        | 54 +++++++++++++++++++++++++++++++++--------------------
 egg/tests/test-dh.c |  2 +-
 2 files changed, 35 insertions(+), 21 deletions(-)

commit b636f3c4f2fb58fe977a7f6fd48382e994086af8
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Only show warning messages when error result is not definite.

 library/gkr-operation.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 008b9a014041f0e97bf8d9f6cc6654e92ffd9346
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-11

    Fix problems negotiating sessions.
    
    Initialize libgcrypt properly, and fix encoding and other
    problems with sessions and secrets.

 egg/Makefile.am       |   1 +
 egg/egg-dh.c          |   2 +-
 egg/egg-libgcrypt.c   | 118 ++++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-libgcrypt.h   |  30 +++++++++++++
 library/gkr-session.c |  33 ++++++++------
 5 files changed, 170 insertions(+), 14 deletions(-)

commit 01add3e593aaffda96feac25c27c8f9336002b14
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Proper dbus argument encoding for CreateItem.

 library/gnome-keyring.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 023dc877e55b411a6020c71ad6094f8abff1ae17
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Fix up get/set default keyring functionality.

 library/gnome-keyring.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 636a88ece471a61cbd7ade3bac4868c0cd21b16c
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Add method for hinting at what kind of object returned NoSuchObject.

 library/gkr-operation.c | 9 ++++++++-
 library/gkr-operation.h | 2 ++
 library/gnome-keyring.c | 5 +++--
 3 files changed, 13 insertions(+), 3 deletions(-)

commit 3b2e45cffcc334b724976090062ac2cf50969994
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Use correct paths and method names for get/set of aliases.

 library/gnome-keyring-private.h | 2 +-
 library/gnome-keyring.c         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 33ee1815eae66c2cc1a97df42fdb3335bc34ecf5
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Remove irrelevant test.
    
    We no longer return this error code. The different collections
    are created with different unique names.

 library/tests/test-keyrings.c | 3 ---
 1 file changed, 3 deletions(-)

commit 2ba6de43b37f8df964d298e37517030d2e849bad
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Free connection after operation callbacks.
    
    Some operation callbacks need operation conn during destroy

 library/gkr-operation.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 842d31012892d863989f40fd78badfbbe30fc107
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Pass an empty window_id to Prompt().

 library/gkr-operation.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6f669509f5d4a8fc54b70043982ccb1fc0dbb850
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Use correct interface names according to spec.
    
    The interfaces have 'Secret' rather than 'Secrets'.

 library/gnome-keyring-private.h | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 766289395c9a439157eb0c449e9bedad6283c028
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    This test didn't make sense.
    
    You can't set the default keyring to nothing.

 library/tests/test-keyrings.c | 4 ----
 1 file changed, 4 deletions(-)

commit dc652ed31e220c2cbd8696a33898f9ff636dd3c0
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    Return NO_SUCH_KEYRING result when appropriate.
    
    Return NoSuchObject from DBus Service, and convert into
    GNOME_KEYRING_RESULT_NO_SUCH_KEYRING when appropriate.
    
    Refactor the keyring/item path encoding stuff.

 library/Makefile.am             |   1 +
 library/gkr-misc.c              | 210 ++++++++++++++++++++++++++++++++++++++++
 library/gkr-misc.h              |  44 +++++++++
 library/gkr-operation.c         |  45 +++++----
 library/gnome-keyring-private.h |   1 +
 library/gnome-keyring.c         | 206 ++++-----------------------------------
 6 files changed, 300 insertions(+), 207 deletions(-)

commit 0b2c9203e2f16c9457b5a2058a04df92d70ba0ba
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-06

    Fix problems with completing the operation.

 library/gkr-callback.c  | 5 ++++-
 library/gkr-operation.c | 7 ++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit fa67eaf13d261eebe942a881aeb3507918e07533
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-06

    Fix up tests, and add more argument checking.

 library/gkr-operation.c                |  15 +-
 library/gnome-keyring-utils.c          |  49 ++-
 library/gnome-keyring.c                | 195 ++++++------
 library/tests/Makefile.am              |  13 +-
 library/tests/test-daemon-setup.c      |  86 ++++++
 library/tests/test-keyrings.c          | 539 +++++++++++++++++++++++++++++++++
 library/tests/test-memory.c            | 128 ++++++++
 library/tests/test-other.c             |  92 ++++++
 library/tests/unit-test-daemon-setup.c |  80 -----
 library/tests/unit-test-keyrings.c     | 539 ---------------------------------
 library/tests/unit-test-memory.c       | 128 --------
 library/tests/unit-test-other.c        |  92 ------
 12 files changed, 1000 insertions(+), 956 deletions(-)

commit cb2b784979e9683f36494f1ed98895ecd57479c1
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-06

    Remove unneeded files.

 egg/Makefile.am            |   1 -
 egg/egg-unix-credentials.c | 236 ---------------------------------------------
 egg/egg-unix-credentials.h |  34 -------
 3 files changed, 271 deletions(-)

commit 8252dcbc6cef919acad54b0cff36898db2413f13
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-06

    Implement get/set default keyring.

 library/gnome-keyring.c | 176 +++++++++++++++++++-----------------------------
 1 file changed, 71 insertions(+), 105 deletions(-)

commit 2b32b5e101c6b31752e05aba49270a9a755d1fe5
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-06

    Implement password/schema related functions.

 library/gkr-callback.c  |  34 ++--
 library/gkr-callback.h  |   4 +
 library/gnome-keyring.c | 510 ++++++++++++++++++++++++++----------------------
 3 files changed, 302 insertions(+), 246 deletions(-)

commit 0b854e88bd02ec4b378e0920616dd181fcc851cf
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-06

    Implement gnome_keyring_find_network_password and set as well.

 library/gkr-operation.h |   4 +
 library/gnome-keyring.c | 293 +++++++++++++++---------------------------------
 2 files changed, 96 insertions(+), 201 deletions(-)

commit 30c1fa9e97cd47341b58edb30448877ac4e02952
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-05

    Implement gnome_keyring_item_create() plus refactoring.

 library/gnome-keyring.c | 476 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 305 insertions(+), 171 deletions(-)

commit 12315a8af7b9bbe976309405f1441c00dc8807d4
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-05

    Initial implementation of gnome_keyring_find_items()

 library/gnome-keyring.c | 858 ++++++++++++++++++++++++++++++++----------------
 1 file changed, 581 insertions(+), 277 deletions(-)

commit 42850ed460bda312d23bc1d5deb3687add9675b4
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-05

    Implement deleting of keyrings and items.

 library/gnome-keyring.c | 125 +++++++++++-------------------------------------
 1 file changed, 28 insertions(+), 97 deletions(-)

commit 9a04fc3a63d82d61bfd23369bf3b27aaafdec0a3
Author: nobody <nobody@localhost.localdomain>
Date:   2009-12-03

    Implement gnome_keyring_xxx_item_info_*() and gnome_keyring_set_attributes_*()
    
    Also add support for session negotiation, secret transfer etc...

 egg/Makefile.am                 |   4 +-
 egg/egg-dh.c                    | 345 ++++++++++++++++++++++
 egg/egg-dh.h                    |  50 ++++
 egg/tests/Makefile.am           |   1 +
 egg/tests/test-dh.c             | 172 +++++++++++
 library/Makefile.am             |   7 +-
 library/gkr-callback.c          |  13 +
 library/gkr-callback.h          |   9 +
 library/gkr-operation.c         |   2 +-
 library/gkr-operation.h         |   2 +
 library/gkr-session.c           | 626 ++++++++++++++++++++++++++++++++++++++++
 library/gkr-session.h           |  45 +++
 library/gnome-keyring-private.h |   5 +
 library/gnome-keyring.c         | 521 +++++++++++++++++++++++----------
 tests/gtest-helpers.h           |   5 +
 15 files changed, 1651 insertions(+), 156 deletions(-)

commit 1307ecc96ea5f45715223eb6216f7dd6397896b2
Author: nobody <nobody@localhost.localdomain>
Date:   2009-12-03

    Implement sync usinc same code path as async.
    
    Remove duplicate code for sync functions by calling async
    and then blocking for a result.

 library/gkr-callback.c  | 108 +++++++++---------
 library/gkr-callback.h  |  26 ++---
 library/gkr-operation.c | 189 ++++++++++---------------------
 library/gkr-operation.h |  15 ++-
 library/gnome-keyring.c | 291 ++++++++++++++++--------------------------------
 5 files changed, 228 insertions(+), 401 deletions(-)

commit be68930cf32022e6221828a7e4ed2b80dd4c655a
Author: nobody <nobody@localhost.localdomain>
Date:   2009-12-01

    Refactor operation and callback code.
    
    Move operation and callback code into own files. Callbacks are
    now pretty generic and pushed onto a stack, allowing for lots
    of nesting which is needed by prompts and session code.
    
    Important to note that all callback user_data is freed at the end
    when the operation goes away.

 library/Makefile.am              |   4 +-
 library/gkr-callback.c           | 183 +++++++++++++
 library/gkr-callback.h           |  87 +++++++
 library/gkr-operation.c          | 539 +++++++++++++++++++++++++++++++++++++++
 library/gkr-operation.h          |  69 +++++
 library/gnome-keyring-callback.c | 161 ------------
 library/gnome-keyring-op.c       | 480 ----------------------------------
 library/gnome-keyring-private.h  |  97 +------
 library/gnome-keyring.c          | 246 +++++++++---------
 9 files changed, 1015 insertions(+), 851 deletions(-)

commit 3d789c6e925ea67388ec50991c54f151089b216f
Author: nobody <nobody@localhost.localdomain>
Date:   2009-11-29

    Set data seperately from operation handler.

 library/gnome-keyring-op.c      | 12 ++++++++----
 library/gnome-keyring-private.h |  4 +++-
 library/gnome-keyring.c         | 15 ++++++++-------
 3 files changed, 19 insertions(+), 12 deletions(-)

commit 5718db55fc774f29cda59fe0bb969ecec6896fa5
Author: nobody <nobody@localhost.localdomain>
Date:   2009-11-29

    Implement locking and unlocking of keyrings.

 library/gnome-keyring.c | 300 +++++++++++++++++++++++++++++++++---------------
 1 file changed, 206 insertions(+), 94 deletions(-)

commit 229eaa7b4e45bbe6876584c9132354413c132bfb
Author: nobody <nobody@localhost.localdomain>
Date:   2009-11-28

    Move operation and callback code into own files.

 library/Makefile.am              |   2 +
 library/gnome-keyring-callback.c | 161 ++++++++++
 library/gnome-keyring-op.c       | 476 ++++++++++++++++++++++++++++
 library/gnome-keyring-private.h  | 108 +++++++
 library/gnome-keyring.c          | 668 ++++-----------------------------------
 5 files changed, 812 insertions(+), 603 deletions(-)

commit af19fe6878f71e7fc82734a192fff1e594447319
Author: nobody <nobody@localhost.localdomain>
Date:   2009-11-28

    Implement support for prompting and waiting for prompts.

 egg/Makefile.am         |   4 +-
 egg/egg-dbus.c          | 418 ++++++++++++++++++++++++++++++++++++++++++
 egg/egg-dbus.h          |  35 ++++
 library/gnome-keyring.c | 471 ++++++++++++++++++++++++++++++++++++------------
 4 files changed, 810 insertions(+), 118 deletions(-)

commit 3390e8408153770a9b28483279ee6cf0fc9c50b0
Author: nobody <nobody@localhost.localdomain>
Date:   2009-11-28

    Make async operations more thread-safe.
    
    In particular gnome_keyring_cancel_request() can be called from
    another thread. Operation structures are reference counted, and
    the result is set atomically.

 library/gnome-keyring.c | 315 ++++++++++++++++++++++++++----------------------
 1 file changed, 170 insertions(+), 145 deletions(-)

commit 9b58977d824f5d644398ccf70e76b68b89f33d97
Author: Stefan Walter <stef@ws.local>
Date:   2009-11-25

    Implement gnome_keyring_lock_all() and friends.

 library/gnome-keyring.c | 60 ++++++++++++++-----------------------------------
 1 file changed, 17 insertions(+), 43 deletions(-)

commit d354243ef4b719198be41f778368b7ae8c358b44
Author: Stefan Walter <Stefan Walter>
Date:   2009-10-30

    Implement get_attributes operation.
    
     * Rework how the encoding and decoding of object paths work.

 library/gnome-keyring.c | 248 ++++++++++++++++++++++++++++++------------------
 1 file changed, 156 insertions(+), 92 deletions(-)

commit 8a43901897c08e25dc93d91f92f2cb399d1a7b76
Author: Stefan Walter <Stefan Walter>
Date:   2009-10-30

    Stub out ACL related functionality.
    
     * ACLs are no longer supported, so just stub out these calls.
     * Also move non operation functions to gnome-keyring-utils.c

 library/gnome-keyring-utils.c | 317 ++++++++++++++++++++
 library/gnome-keyring.c       | 673 ++----------------------------------------
 2 files changed, 347 insertions(+), 643 deletions(-)

commit e264121cf5a1f7c47045b949af53fd301965a8ba
Author: Stefan Walter <Stefan Walter>
Date:   2009-10-30

    Implement list_item_ids and set_info.
    
     * Change how various property responses are parsed.
     * Organize things better with regards to parsing

 .../gnome-keyring/gnome-keyring-undeclared.txt     |   0
 library/gnome-keyring.c                            | 445 ++++++++++++---------
 2 files changed, 246 insertions(+), 199 deletions(-)

commit 729aba852a1c83fa83896ec4d5b927e65bb99161
Author: nobody <nobody@localhost.localdomain>
Date:   2009-10-29

    Implement gnome_keyring_get_info operation.
    
     * Includes basic construction of dbus secrets paths.
     * Parsing of {sv}
     * GetAll properties method.

 library/gnome-keyring.c | 318 +++++++++++++++++++++++++++++++++---------------
 1 file changed, 218 insertions(+), 100 deletions(-)

commit a726e879bd5bdb0f753cd2ab45ec33639666edce
Author: nobody <nobody@localhost.localdomain>
Date:   2009-10-29

    Enable git commit hooks when initializing project

 autogen.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3baf1a2e6fb068e6ac21a2fb69c21ffe6dca413e
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-28

    Implement listing of keyring names along with basic operation.

 library/gnome-keyring.c | 553 +++++++++++++++++++++++++-----------------------
 1 file changed, 285 insertions(+), 268 deletions(-)

commit 6a78704586cb8e637edc027bba1f53d630e88ad7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-25

    Remove unneeded functions

 library/gnome-keyring-utils.c | 70 -------------------------------------------
 1 file changed, 70 deletions(-)

commit 8d49784cb4b82bdf7e3b8f298158a166cb45187b
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-25

    Fork the libgnome-keyring library out of gnome-keyring.
    
    This initial fork has no functionality, and much old code
    is commented out. It however does build.

 .gitignore                                         |  134 +
 AUTHORS                                            |    6 +
 COPYING                                            |  481 ++
 ChangeLog                                          |   33 +
 HACKING                                            |    8 +
 Makefile.am                                        |   40 +
 NEWS                                               |    2 +
 autogen.sh                                         |   20 +
 configure.in                                       |  225 +
 docs/Makefile.am                                   |    2 +
 docs/reference/Makefile.am                         |    2 +
 docs/reference/gnome-keyring/Makefile.am           |   99 +
 .../gnome-keyring/gnome-keyring-docs.sgml          |   26 +
 .../gnome-keyring/gnome-keyring-sections.txt       |  183 +
 .../gnome-keyring/gnome-keyring-undeclared.txt     |    0
 egg/Makefile.am                                    |   24 +
 egg/egg-secure-memory.c                            | 1234 ++++++
 egg/egg-secure-memory.h                            |   93 +
 egg/egg-unix-credentials.c                         |  236 +
 egg/egg-unix-credentials.h                         |   34 +
 egg/tests/Makefile.am                              |   10 +
 egg/tests/unit-test-secmem.c                       |  237 +
 libgnome-keyring.doap                              |   23 +
 library/Makefile.am                                |   51 +
 library/gnome-keyring-1-uninstalled.pc.in          |   11 +
 library/gnome-keyring-1.pc.in                      |   11 +
 library/gnome-keyring-memory.c                     |  279 ++
 library/gnome-keyring-memory.h                     |   66 +
 library/gnome-keyring-private.h                    |   58 +
 library/gnome-keyring-result.h                     |   43 +
 library/gnome-keyring-utils.c                      |  597 +++
 library/gnome-keyring.c                            | 4661 ++++++++++++++++++++
 library/gnome-keyring.h                            |  523 +++
 library/tests/Makefile.am                          |   17 +
 library/tests/unit-test-daemon-setup.c             |   80 +
 library/tests/unit-test-keyrings.c                 |  539 +++
 library/tests/unit-test-memory.c                   |  128 +
 library/tests/unit-test-other.c                    |   92 +
 po/LINGUAS                                         |    2 +
 po/POTFILES.in                                     |    3 +
 po/POTFILES.skip                                   |    0
 tests/Makefile.am                                  |    6 +
 tests/gtest-helpers.c                              |  190 +
 tests/gtest-helpers.h                              |   70 +
 tests/gtest.make                                   |   48 +
 tests/prep-gtest.sh                                |  119 +
 46 files changed, 10746 insertions(+)

commit 0d5beeb89cb1bd3d803c1e399fec8bf124114f71
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-25

    Initial commit.

 README | 3 +++
 1 file changed, 3 insertions(+)
